### Method

# Peas Engine provides_extension

#### Declaration [src]

    gboolean
    peas_engine_provides_extension (
      PeasEngine* engine,
      PeasPluginInfo* info,
      GType extension_type
    )

#### Description [src]

Returns if `info` provides an extension for `extension_type`.

If the `info` is not loaded than `FALSE` will always be returned.

#### Parameters

`info`

  Type: `PeasPluginInfo`

  A `PeasPluginInfo`.

  The data is owned by the caller of the method.

`extension_type`

  Type: `GType`

  The extension `GType`.

#### Return value

Type: `gboolean`

If `info` provides an extension for `extension_type`.